type: prog

titre: Mot caché -2-

niveau: défi

objectif : Rechercher un mot dans un tableau dynamique 

énoncé: |
  On souhaite trouver un mot **caché** dans une **grille carrée** de mots sous forme de **tableau dynamique** de chaines de caractères, soit à l'horizontale, soit à la verticale, et à partir de n'importe quelle position.  
  La sortie produite est `1` si le mot est trouvé **horizontalement**, `2` si trouvé **verticalement**, `3` si trouvé dans les **deux directions**, et `0` si introuvable.
 
  Le **nombre de mots**, le **mot caché** ainsi que les **mots de la grille** sont reçus en entrée.  
  À noter que tous les mots de la grille ont la **même longueur**.

  ### Entrées

  - nombre de mots (nombre entier)
  - grille de mots (tableau de chaines de caractères)
  - mot caché (chaine de caractères)

  ### Sortie attendue

   `existe`  (nombre entier: 0, 1, 2, ou 3 )

  ### À faire

  Compléter le code pour produire en sortie l'entier `existe` qui aura la valeur `1`, `2`, `3`, ou `0` selon que le mot caché est trouvé dans la grille respectivement à **l'horizontale, à la verticale, dans les deux directionss, ou qu'il y est introuvable**.

  ### Exemples

  1. Grille 3x3 avec mot caché horizontal

   - Entrées :
  ```
      3
      ois
      ici
      eux
      ci

  ```

   - Sortie attendue :
  ```
      1

  ```

    2. Grille 3x3 avec mot caché vertical

   - Entrées :
  ```
      3
      xor
      oie
      ici
      oic

  ```

   - Sortie attendue :
  ```
      2

  ```
ébauches:
    java: !include exec.java


rétroactions:
    positive: Bravo !
    négative: Parcourir le tableau des mots et utiliser la fonction de recherche appropriée, sachant qu'il y aura une double boucle imbriquée pour  la recherche verticale ..

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA


